%define 	module	pullparser

Summary:	Python package providing a module for parsing HTML
Summary(pl.UTF-8):	Pakiet zawierający moduł analizatora HTML
Name:		python-%{module}
Version:	0.0.5b
Release:	4
License:	Artistic
Group:		Development/Languages/Python
Source0:	http://wwwsearch.sourceforge.net/%{module}/src/%{module}-%{version}.tar.gz
# Source0-md5:	e4e238ead1d1e421cc5866c8e3f9153f
URL:		http://wwwsearch.sourceforge.net/pullparser/
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Requires:	python-modules >= 2.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A simple "pull API" for HTML parsing, after Perl's HTML::TokeParser.
Many simple HTML parsing tasks are simpler this way than with the
HTMLParser module. pullparser.PullParser is a subclass of
HTMLParser.HTMLParser.

%description -l pl.UTF-8
Prosty analizator HTML, inspirowany perlowym HTML::TokeParser. Wiele
prostych zadań związanych z przetwarzaniem HTML można nim zrobić
łatwiej niż za pomocą modułu HTMLParser. pullparser.PullParser jest
podklasą HTMLParser.HTMLParser.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

rm $RPM_BUILD_ROOT%{py_sitescriptdir}/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog GeneralFAQ.html README.html
%{py_sitescriptdir}/*.py[co]
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pullparser.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 11fd3cd
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e5040e5
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 889a750
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a1e109c
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 22487aa
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 39d5c41
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cbf3461
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 9338aba
- remove extra unneeded slash

* Fri Jun 04 2004 jpc <jpc@pld-linux.org> 490f708
- updated to 0.0.5b
- rel 1

* Wed May 26 2004 ankry <ankry@pld-linux.org> 69cca39
- capitalization, tabs, other cosmetics

* Thu May 13 2004 ankry <ankry@pld-linux.org> 6f13fa2
- spaces -> tabs, other cosmetics

* Sat Feb 21 2004 Jakub Bogusz <qboosh@pld-linux.org> 631ccd5
- unified License field (just "Artistic")
- removed COPYING (just Artistic), INSTALL (useless), README.txt (README.html dup)

* Sun Feb 15 2004 Adam Gołębiowski <adamg@pld-linux.org> e0d5fc7
- initial import (from Jakub Piotr Clapa <loc(at)toya.net.pl>)

